Get a single Bonus
curl --request GET \
--url https://api.gcore.com/billing/org/v1/bonuses/{id} \
--header 'Authorization: <api-key>'import requests
url = "https://api.gcore.com/billing/org/v1/bonuses/{id}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.gcore.com/billing/org/v1/bonuses/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"created_at": "2023-11-07T05:31:56Z",
"active_from": "2023-11-07T05:31:56Z",
"active_to": "2023-11-07T05:31:56Z",
"client_id": -1,
"amount": "<string>",
"client_company": "<string>",
"currency_char_code": "<string>",
"description": "<string>",
"product_category_ids": [
123
]
}bonuses
Get a single Bonus
Retrieve a single Bonus by ID.
GET
/
billing
/
org
/
v1
/
bonuses
/
{id}
Get a single Bonus
Authorizations
API key for authentication. Make sure to include the word apikey, followed by a single space and then your token.
Example: apikey 1234_abcdef
Path Parameters
Response
Request successful.
ID of client in API service
Required range:
-2147483648 <= x <= 2147483647Pattern:
^-?\d{0,24}(?:\.\d{0,12})?$Client name in english
Currency iso4217 char code
Maximum string length:
255Was this page helpful?